Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Static Public Attributes | Friends
tlp::ColorProperty Class Reference
Properties

`#include <ColorProperty.h>`

Inheritance diagram for tlp::ColorProperty:
[legend]
Collaboration diagram for tlp::ColorProperty:
[legend]

List of all members.

## Public Member Functions

- ColorProperty (Graph *g, std::string n="")
- PropertyInterface * clonePrototype (Graph *, const std::string &)
- std::string getTypename () const
- int compare (const node n1, const node n2) const
    Compare colors of n1 and n2 using HSV space instead of RGB.
- int compare (const edge e1, const edge e2) const
    Compare colors of e1 and e2 using HSV space instead of RGB.

## Static Public Attributes

- static const std::string propertyTypename

## Friends

- class ColorAlgorithm

## Constructor & Destructor Documentation

tlp::ColorProperty::ColorProperty | ( | Graph * | g,
|  | std::string | n = `""`
| ) |  | `[inline]`

## Member Function Documentation

PropertyInterface* tlp::ColorProperty::clonePrototype | ( | Graph * | ,
|  | const std::string & |
| ) |  | `[virtual]`

Creates an object of the same real type of the current property, in the the graph (first parameter) with the name (second parameter). Values are not copied.

Implements tlp::PropertyInterface.

int tlp::ColorProperty::compare | ( | const edge | e1,
|  | const edge | e2
| ) |  | const`[virtual]`

Compare colors of e1 and e2 using HSV space instead of RGB.

Reimplemented from tlp::AbstractProperty< Tnode, Tedge, TPROPERTY >.

int tlp::ColorProperty::compare | ( | const node | n1,
|  | const node | n2
| ) |  | const`[virtual]`

Compare colors of n1 and n2 using HSV space instead of RGB.

Reimplemented from tlp::AbstractProperty< Tnode, Tedge, TPROPERTY >.

std::string tlp::ColorProperty::getTypename | ( |  | ) | const`[inline, virtual]`

Returns a string describing the type of the property. i.e. "graph", "double", "layout", "string", "integer", "color", "size", ...

Implements tlp::PropertyInterface.

## Friends And Related Function Documentation

friend class ColorAlgorithm`[friend]`

## Member Data Documentation

const std::string tlp::ColorProperty::propertyTypename`[static]`

Tulip Software by LaBRI Visualization Team 2001 - 2012